ImportError:没有名为“ jupyter_client”的模块

布斯勒

民间,

我正在尝试在我的debian jessie盒子上安装RODEO。我已经成功安装了牛仔竞技表演,并且安装完成,没有任何问题。但是,当我在命令行上键入“ rodeo”时,出现以下错误消息:

[email protected]:~$ rodeo 
/usr/local/lib/python3.4/dist-packages/IPython/kernel/__init__.py:13: ShimWarning: The `IPython.kernel` package has been deprecated. You should import from ipykernel or jupyter_client instead.
  "You should import from ipykernel or jupyter_client instead.", ShimWarning)
Traceback (most recent call last):
  File "/usr/local/lib/python3.4/dist-packages/rodeo/kernel.py", line 3, in <module>
    from jupyter_client import BlockingKernelClient
ImportError: No module named 'jupyter_client'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/bin/rodeo", line 9, in <module>
    load_entry_point('rodeo==0.4.4', 'console_scripts', 'rodeo')()
  File "/usr/local/lib/python3.4/dist-packages/pkg_resources/__init__.py", line 549, in load_entry_point
    return get_distribution(dist).load_entry_point(group, name)
  File "/usr/local/lib/python3.4/dist-packages/pkg_resources/__init__.py", line 2542, in load_entry_point
    return ep.load()
  File "/usr/local/lib/python3.4/dist-packages/pkg_resources/__init__.py", line 2202, in load
    return self.resolve()
  File "/usr/local/lib/python3.4/dist-packages/pkg_resources/__init__.py", line 2208, in resolve
    module = __import__(self.module_name, fromlist=['__name__'], level=0)
  File "/usr/local/lib/python3.4/dist-packages/rodeo/cli.py", line 33, in <module>
    from .rodeo import main
  File "/usr/local/lib/python3.4/dist-packages/rodeo/rodeo.py", line 2, in <module>
    from .kernel import Kernel
  File "/usr/local/lib/python3.4/dist-packages/rodeo/kernel.py", line 5, in <module>
    from IPython.kernel import BlockingKernelClient
  File "/usr/local/lib/python3.4/dist-packages/IPython/kernel/__init__.py", line 31, in <module>
    from ipykernel import comm, inprocess
ImportError: No module named 'ipykernel'

我安装了ipython时,有人可以说清楚一点吗?在apt repos中搜索jupyter客户端时,我无法罚款。任何帮助,将不胜感激。

明克

IPython 4.0已分为许多软件包,许多与笔记本和执行相关的软件包现在已成为Jupyter的一部分。

如果Rodeo支持4.0 API,则可以使用以下命令进行安装:

pip install --upgrade jupyter

只要安装了额外的软件包,几乎所有可以与IPython 3一起使用的东西都可以与IPython 4和Jupyter一起使用。IPython包括已移动的导入的垫片。)

如果那不起作用,牛仔竞技队可能现在需要IPython3.x。您可以使用以下方法将IPython固定到3.x:

pip install 'ipython[notebook]<4'

本文收集自互联网,转载请注明来源。

如有侵权,请联系 [email protected] 删除。

编辑于
0

我来说两句

0 条评论
登录 后参与评论

相关文章